package com.ecep.contract.task;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.constant.CloudServiceConstant;
import com.ecep.contract.model.Company;

import lombok.Setter;

/**
 * 合并更新
 */
public class CompanyCompositeUpdateTasker extends Tasker<Object> {
    private static final Logger logger = LoggerFactory.getLogger(CompanyCompositeUpdateTasker.class);
    @Setter
    private Company company;

    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("合并更新 " + company.getName());

        holder.debug("1. 从 " + CloudServiceConstant.RK_NAME + " 更新...");
        updateProgress(0.1, 1);
        holder.debug("2. 从 " + CloudServiceConstant.U8_NAME + " 更新...");
        updateProgress(0.3, 1);
        holder.debug("3. 从 " + CloudServiceConstant.TYC_NAME + " 更新...");
        updateProgress(1, 1);
        return null;
    }

}
